Subject: Re: FVWM: Key bindings with modifiers

From: Glen Lee Edwards <[email-masked]>
Date: Sat, 29 Sep 2001 11:15:09 -0500 (CDT)

John,

   Personally I prefer the current setup.  Fvwm's keybindings take precedence over
that of an open application.  But the keybindings are disabled if one of the
modifier keys are enabled.  You can use this to your advantage.  
   I use Xemacs frequently, and have numerous key bindings that cross over
between Fvwm2 and Xemacs.  To disable Fvwm's key bindings, I press the scroll
lock key, and am then able to freely use M-Right, M-Left, etc., as defined in
Xemacs.  When I disable the Scroll Lock key, I can then us M-Right/M-Left to move me
through the window layers in order or reverse order.

   To automatically enable NumLock on your keys, on Redhat you can put the
following in /etc/rc.d/rc.local:

INITTY=/dev/tty[1-9]
for tty in $INITTY; do
    setleds -D +num < $tty
done

   For whatever reason Linus considers enabling NumLock on startup to be a security
risk, so this feature is disabled in the kernel.

Glen

John Davin writes:
 > The fvwm FAQ mentions that the NumLock, CapsLock and Scrolllock keys act
 > as modifiers and will interfere with key bindings... I have experienced
 > this problem.  However, the FAQ just says to disable the keys or set
 > ignore.  Is there a way I can get my key bindings to still work when the
 > NumLock key is on (NumLock is the only one I care about, and I prefer to
 > have it on all the time but it doesn't go on automatically)?
 > For example, some of my key bindings in .fvwm2rc are:
 > 
 > Key 1 A M GotoPage 0 0
 > Key 2 A M GotoPage 1 0
 > Key 3 A M GotoPage 0 1
 > Key 4 A M GotoPage 1 1
 > Key Tab A M WindowList Root c c NoDeskSort
 > 
 > So alt-1 goes to 1st page of desktop 0, etc.
 > Is there a change I can make so that it works when NumLock is on?
 > 
 > -John
 > 
 > --
 > Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
 > To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
 > message to [email-masked].
 > To report problems, send mail to [email-masked].
 > 
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].